package com.app.input.inputaura.ohbnf

import androidx.room.Database
import androidx.room.Room
import androidx.room.RoomDatabase
import com.app.input.inputaura.InputAura
import com.app.input.inputaura.dasda.Shikamaru


@Database(
    entities = [Shikamaru::class],
    version = InputAura.Companion.DB_VERSION,
    exportSchema = false
)
abstract class DaBase : RoomDatabase() {

    abstract fun ThemesDao(): BinYuTb



    companion object {
        val daBase: DaBase by lazy {
            Room.databaseBuilder(
                InputAura.Companion.inputAuraInstance, DaBase::class.java,
                InputAura.Companion.DB_NAME
            )   .fallbackToDestructiveMigration()
                .build()
        }
    }

}